unit UnitEMail;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons;

type
  TFormEMail = class(TForm)
    Label1: TLabel;
    EditAdresseDestinataire: TEdit;
    Label2: TLabel;
    EditObjet: TEdit;
    MemoEMail: TMemo;
    Label3: TLabel;
    BitBtnOk: TBitBtn;
    BitBtnAnnuler: TBitBtn;
    ListBoxFichiersJoints: TListBox;
    Button1: TButton;
    OpenDialog1: TOpenDialog;
    Label4: TLabel;
    EditCopie: TEdit;
    Label5: TLabel;
    EditCopieInvisible: TEdit;
    ButtonEffacer: TButton;
    procedure BitBtnOkRemplirEMail(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure ButtonEffacerClick(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  FormEMail: TFormEMail;

implementation

uses Unit1, UnitConfiguration;

{$R *.DFM}

procedure TFormEMail.BitBtnOkRemplirEMail(Sender: TObject);
begin
  // ce qui apparait dans le sujet (le titre du mail
  Form1.NMSMTP1.PostMessage.Subject :=EditObjet.Text;
  // adresse du destinataire ex : truc@wanadoo.fr
  Form1.NMSMTP1.PostMessage.ToAddress.Add(EditAdresseDestinataire.Text);
  // destinataire que vous mettez en copie invisible
  // = les autres destinataires ne voient ps cette adresse.
  Form1.NMSMTP1.PostMessage.ToBlindCarbonCopy.Add(EditCopieInvisible.Text);
  // destinataire que vous mettez en copie "visible"
  Form1.NMSMTP1.PostMessage.ToCarbonCopy.Add(EditCopie.Text);
  // listes des fichiers  joindre au mail
  Form1.NMSMTP1.PostMessage.Attachments.AddStrings(ListBoxFichiersJoints.Items);
  // le message texte lui mme  
  Form1.NMSMTP1.PostMessage.Body.Assign(MemoEMail.Lines);
end;

procedure TFormEMail.Button1Click(Sender: TObject);
var i:integer;
begin
  if OpenDialog1.Execute then
  for i:=0 to OpenDialog1.files.count-1 do
     ListBoxFichiersJoints.Items.Add(OpenDialog1.Files[i]);

end;

procedure TFormEMail.ButtonEffacerClick(Sender: TObject);
begin
  ListBoxFichiersJoints.Items.Delete(ListBoxFichiersJoints.ItemIndex);
end;

end.
