unit UnitConfiguration;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, Unit1, Spin;

type
  TFormConfiguration = class(TForm)
    LabelNomEmetteur: TLabel;
    LabelIdentifiant: TLabel;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    EditEMailEmetteur: TEdit;
    EditNomEmetteur: TEdit;
    EditIdentifiant: TEdit;
    EditHost: TEdit;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    SpinEditPort: TSpinEdit;
    procedure BitBtn1ValidationConfiguration(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  FormConfiguration: TFormConfiguration;

implementation

{$R *.DFM}

procedure TFormConfiguration.BitBtn1ValidationConfiguration(Sender: TObject);
begin
  // nom du serveur (fourni par votre provider. pou wanadoo, c'est : smtp@wanadoo.fr) :
  Form1.NMSMTP1.Host:=EditHost.Text;
  // normalement, c'est le port 25 :
  Form1.NMSMTP1.Port:=SpinEditPort.Value;
  // l'identifiant que vous a donn votre provider
  // exemple : chez wanadoo, c'est ce qu'il y a devant le le @ dans l'adresse mail.
  Form1.NMSMTP1.UserID :=EditIdentifiant.Text;
  // l, vous mettez ce que vous voulez qui apparaisse dans votre mail comme nom d'emetteur
  // = ce qui apparaitra dans la colonne "de" si vous avez OutLook Express.
  Form1.NMSMTP1.PostMessage.FromName :=EditNomEmetteur.Text;
  // l'adresse de retour du mail (= l'adresse qui se mettra automatiquement lorsqu'il fera
  // "rpondre"  votre mail.
  Form1.NMSMTP1.PostMessage.FromAddress :=EditEMailEmetteur.Text;

end;

end.
